RTEMS: _SpioCaptureInit Struct Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Data Fields
_SpioCaptureInit Struct Reference

PIO Parallel Capture structure for initialize. More...

`#include <pio_capture.h>`

## Data Fields
uint8_t | dsize
uint16_t | dPDCsize
uint32_t * | pData
uint8_t | alwaysSampling
uint8_t | halfSampling
uint8_t | modeFirstSample
void(* | CbkDataReady )(struct _SpioCaptureInit *)
void(* | CbkOverrun )(struct _SpioCaptureInit *)
void(* | CbkEndReception )(struct _SpioCaptureInit *)
void(* | CbkBuffFull )(struct _SpioCaptureInit *)
void * | pParam

## Detailed Description

PIO Parallel Capture structure for initialize.

At the end of the transfer, the callback is invoked by the interrupt handler.

## Field Documentation

## ◆ alwaysSampling

uint8_t _SpioCaptureInit::alwaysSampling

Parallel Capture Mode Always Sampling

## ◆ CbkBuffFull

void(* _SpioCaptureInit::CbkBuffFull) (struct _SpioCaptureInit *)

Callback function invoked at Reception Buffer Full

## ◆ CbkDataReady

void(* _SpioCaptureInit::CbkDataReady) (struct _SpioCaptureInit *)

Callback function invoked at Mode Data Ready

## ◆ CbkEndReception

void(* _SpioCaptureInit::CbkEndReception) (struct _SpioCaptureInit *)

Callback function invoked at End of Reception Transfer

## ◆ CbkOverrun

void(* _SpioCaptureInit::CbkOverrun) (struct _SpioCaptureInit *)

Callback function invoked at Mode Overrun Error

## ◆ dPDCsize

uint16_t _SpioCaptureInit::dPDCsize

PDC size, data to be received

## ◆ dsize

uint8_t _SpioCaptureInit::dsize

PIO_PCRHR register is a BYTE, HALF-WORD or WORD

## ◆ halfSampling

uint8_t _SpioCaptureInit::halfSampling

Parallel Capture Mode Half Sampling

## ◆ modeFirstSample

uint8_t _SpioCaptureInit::modeFirstSample

Parallel Capture Mode First Sample

## ◆ pData

uint32_t* _SpioCaptureInit::pData

Data to be received

## ◆ pParam

void* _SpioCaptureInit::pParam

Callback arguments.

The documentation for this struct was generated from the following file:

- bsps/arm/atsam/include/libchip/include/pio_capture.h